Retrieve a list of ATS jobs

Retrieves a list of all jobs in the Applicant Tracking System. Results can be filtered by query parameters. Token scopes: ats:read

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

cursorstringOptional
The cursor for pagination
limitintegerOptional1-100Defaults to 20
Maximum number of records returned in one response
searchstringOptional

Text to search for in job records (optional)

interview_plan_idstringOptionalformat: "uuid"

Interview plan UUID (optional)

location_idslist of stringsOptional

Array of location UUIDs (optional)

team_idslist of stringsOptional

Array of team UUIDs (optional)

employment_type_idslist of stringsOptional

Array of employment type UUIDs (optional)

department_idslist of stringsOptional

Array of department UUIDs (optional)

updated_afterstringOptionalformat: "date-time"

Filter jobs updated after this timestamp (ISO 8601 format)

statuslist of enumsOptional

Array of job status values (optional)

Response

Successful operation.
datalist of objects or null
has_moreboolean or null
Indicates if there are more items to fetch.
next_cursorstring or null
Cursor for the next page of results
total_countinteger or null>=0
Total number of jobs

Errors